curl --request POST \
--url https://acusight.io/api/core/virtual/create-and-start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"count": 123,
"dataset_format": "<string>",
"dataset_path": "<string>",
"dataset_version_id": 123,
"device_id_prefix": "<string>",
"event_frequency": 123,
"event_types": "<string>",
"max_concurrent_tracks": 123,
"preset": "<string>",
"simulation_mode": "<string>"
}
'import requests
url = "https://acusight.io/api/core/virtual/create-and-start"
payload = {
"count": 123,
"dataset_format": "<string>",
"dataset_path": "<string>",
"dataset_version_id": 123,
"device_id_prefix": "<string>",
"event_frequency": 123,
"event_types": "<string>",
"max_concurrent_tracks": 123,
"preset": "<string>",
"simulation_mode": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
count: 123,
dataset_format: '<string>',
dataset_path: '<string>',
dataset_version_id: 123,
device_id_prefix: '<string>',
event_frequency: 123,
event_types: '<string>',
max_concurrent_tracks: 123,
preset: '<string>',
simulation_mode: '<string>'
})
};
fetch('https://acusight.io/api/core/virtual/create-and-start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acusight.io/api/core/virtual/create-and-start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'count' => 123,
'dataset_format' => '<string>',
'dataset_path' => '<string>',
'dataset_version_id' => 123,
'device_id_prefix' => '<string>',
'event_frequency' => 123,
'event_types' => '<string>',
'max_concurrent_tracks' => 123,
'preset' => '<string>',
'simulation_mode' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://acusight.io/api/core/virtual/create-and-start"
payload := strings.NewReader("{\n \"count\": 123,\n \"dataset_format\": \"<string>\",\n \"dataset_path\": \"<string>\",\n \"dataset_version_id\": 123,\n \"device_id_prefix\": \"<string>\",\n \"event_frequency\": 123,\n \"event_types\": \"<string>\",\n \"max_concurrent_tracks\": 123,\n \"preset\": \"<string>\",\n \"simulation_mode\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://acusight.io/api/core/virtual/create-and-start")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"count\": 123,\n \"dataset_format\": \"<string>\",\n \"dataset_path\": \"<string>\",\n \"dataset_version_id\": 123,\n \"device_id_prefix\": \"<string>\",\n \"event_frequency\": 123,\n \"event_types\": \"<string>\",\n \"max_concurrent_tracks\": 123,\n \"preset\": \"<string>\",\n \"simulation_mode\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://acusight.io/api/core/virtual/create-and-start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"count\": 123,\n \"dataset_format\": \"<string>\",\n \"dataset_path\": \"<string>\",\n \"dataset_version_id\": 123,\n \"device_id_prefix\": \"<string>\",\n \"event_frequency\": 123,\n \"event_types\": \"<string>\",\n \"max_concurrent_tracks\": 123,\n \"preset\": \"<string>\",\n \"simulation_mode\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{}{}{}Create, approve, and start virtual device(s)
Create one or more virtual devices, automatically approve them, and start simulation in a single API call. Supports three modes: event (synthetic events), image (dataset uploads), or hybrid (both). For image mode, use either dataset_version_id (imported dataset) or dataset_path (filesystem). Use manufacturing-specific event type presets or custom event types.
curl --request POST \
--url https://acusight.io/api/core/virtual/create-and-start \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"count": 123,
"dataset_format": "<string>",
"dataset_path": "<string>",
"dataset_version_id": 123,
"device_id_prefix": "<string>",
"event_frequency": 123,
"event_types": "<string>",
"max_concurrent_tracks": 123,
"preset": "<string>",
"simulation_mode": "<string>"
}
'import requests
url = "https://acusight.io/api/core/virtual/create-and-start"
payload = {
"count": 123,
"dataset_format": "<string>",
"dataset_path": "<string>",
"dataset_version_id": 123,
"device_id_prefix": "<string>",
"event_frequency": 123,
"event_types": "<string>",
"max_concurrent_tracks": 123,
"preset": "<string>",
"simulation_mode": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
count: 123,
dataset_format: '<string>',
dataset_path: '<string>',
dataset_version_id: 123,
device_id_prefix: '<string>',
event_frequency: 123,
event_types: '<string>',
max_concurrent_tracks: 123,
preset: '<string>',
simulation_mode: '<string>'
})
};
fetch('https://acusight.io/api/core/virtual/create-and-start', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://acusight.io/api/core/virtual/create-and-start",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'count' => 123,
'dataset_format' => '<string>',
'dataset_path' => '<string>',
'dataset_version_id' => 123,
'device_id_prefix' => '<string>',
'event_frequency' => 123,
'event_types' => '<string>',
'max_concurrent_tracks' => 123,
'preset' => '<string>',
'simulation_mode' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://acusight.io/api/core/virtual/create-and-start"
payload := strings.NewReader("{\n \"count\": 123,\n \"dataset_format\": \"<string>\",\n \"dataset_path\": \"<string>\",\n \"dataset_version_id\": 123,\n \"device_id_prefix\": \"<string>\",\n \"event_frequency\": 123,\n \"event_types\": \"<string>\",\n \"max_concurrent_tracks\": 123,\n \"preset\": \"<string>\",\n \"simulation_mode\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://acusight.io/api/core/virtual/create-and-start")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"count\": 123,\n \"dataset_format\": \"<string>\",\n \"dataset_path\": \"<string>\",\n \"dataset_version_id\": 123,\n \"device_id_prefix\": \"<string>\",\n \"event_frequency\": 123,\n \"event_types\": \"<string>\",\n \"max_concurrent_tracks\": 123,\n \"preset\": \"<string>\",\n \"simulation_mode\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://acusight.io/api/core/virtual/create-and-start")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"count\": 123,\n \"dataset_format\": \"<string>\",\n \"dataset_path\": \"<string>\",\n \"dataset_version_id\": 123,\n \"device_id_prefix\": \"<string>\",\n \"event_frequency\": 123,\n \"event_types\": \"<string>\",\n \"max_concurrent_tracks\": 123,\n \"preset\": \"<string>\",\n \"simulation_mode\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{}{}{}Authorizations
JWT access token. Paste the token only; the Bearer prefix is added automatically.
Body
Virtual devices configuration
Number of devices to create (default: 1, max: 50)
Dataset format: "yolo" (default), "coco", "voc"
Path to YOLO dataset (for image/hybrid modes, filesystem-based)
ID of imported dataset version (for image/hybrid modes)
Prefix for device IDs (default: "virtual-dev")
Seconds between new tracks (default: 5)
Custom event types JSON (overrides preset)
Max simultaneous tracks (default: 3)
Event type preset (e.g., "general_manufacturing", "manufacturing_safety")
Simulation mode: "event" (default), "image", or "hybrid"
Response
Devices created and started successfully
The response is of type object.
Was this page helpful?